#!/usr/bin/env python

import sys
from PyQt4 import QtCore, QtGui

class MenuTest(QtGui.QWidget):
    def __init__(self, parent=None):
        QtGui.QWidget.__init__(self, parent)
        self.setWindowTitle('Right click for context menu')
        workingAction = QtGui.QAction('&Working Action', self)
        self.connect(workingAction, QtCore.SIGNAL('triggered()'), self.works)
        self.menu = QtGui.QMenu(self)
        self.menu.addAction(workingAction)
        self.menu.addAction('&Broken Action', self.broken)

    def works(self):
        print 'This action works'

    def broken(self):
        print 'This menu item is broken'

    def contextMenuEvent(self, event):
        self.menu.exec_(event.globalPos())


if __name__ == '__main__':
    app = QtGui.QApplication(sys.argv)
    win = MenuTest()
    win.show()
    app.exec_()
